@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');

::after,
::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
}

li {
    list-style: none;
}

h1 {
    font-weight: 600;
    font-size: 1.5rem;
}

body {
    font-family: 'Poppins', sans-serif;
}

.wrapper {
    display: flex;
}

.main {
    min-height: 100vh;
    width: 100%;
    overflow: hidden;
    transition: all 0.35s ease-in-out;
    background-color: #fafbfe;
}

#sidebar {
    width: 70px;
    min-width: 70px;
    z-index: 1000;
    transition: all .25s ease-in-out;
    background-color: #0e2238;
    display: flex;
    flex-direction: column;
}

#sidebar.expand {
    width: 260px;
    min-width: 260px;
}

.toggle-btn {
    background-color: transparent;
    cursor: pointer;
    border: 0;
    padding: 1rem 1.5rem;
}

.toggle-btn i {
    font-size: 1.5rem;
    color: #FFF;
}

.sidebar-logo {
    margin: auto 0;
}

.sidebar-logo a {
    color: #FFF;
    font-size: 1.15rem;
    font-weight: 600;
}

#sidebar:not(.expand) .sidebar-logo,
#sidebar:not(.expand) a.sidebar-link span {
    display: none;
}

.sidebar-nav {
    padding: 2rem 0;
    flex: 1 1 auto;
}

a.sidebar-link {
    padding: .625rem 1.625rem;
    color: #FFF;
    display: block;
    font-size: 0.9rem;
    white-space: nowrap;
    border-left: 3px solid transparent;
}

.sidebar-link i {
    font-size: 1.1rem;
    margin-right: .75rem;
}

a.sidebar-link:hover {
    background-color: rgba(255, 255, 255, .075);
    border-left: 3px solid #3b7ddd;
}

.sidebar-item {
    position: relative;
}

#sidebar:not(.expand) .sidebar-item .sidebar-dropdown {
    position: absolute;
    top: 0;
    left: 70px;
    background-color: #0e2238;
    padding: 0;
    min-width: 15rem;
    display: none;
}

#sidebar:not(.expand) .sidebar-item:hover .has-dropdown+.sidebar-dropdown {
    display: block;
    max-height: 15em;
    width: 100%;
    opacity: 1;
}

#sidebar.expand .sidebar-link[data-bs-toggle="collapse"]::after {
    border: solid;
    border-width: 0 .075rem .075rem 0;
    content: "";
    display: inline-block;
    padding: 2px;
    position: absolute;
    right: 1.5rem;
    top: 1.4rem;
    transform: rotate(-135deg);
    transition: all .2s ease-out;
}

#sidebar.expand .sidebar-link[data-bs-toggle="collapse"].collapsed::after {
    transform: rotate(45deg);
    transition: all .2s ease-out;
}

/** cuadro **/




#cuadro #vacio{
    padding: 10px;
    overflow: hidden;
}

#cuadro #lista_paginas{
	width: 100%;
	overflow: hidden;
}

#cuadro #lista_paginas #formulario{
	width: 100%;
	overflow: hidden;
}

#cuadro #edit_producto {
    background-color: #fdfdfd;
    padding: 10px;
    margin-bottom: 10px;
    width: 100%;
    float: none;
    box-sizing: border-box;
}

#cuadro #edit_producto input[type='text']{
	width: 400px;
}

#cuadro #edit_producto .datos{
	padding: 5px
}

#cuadro #edit_producto .datos img{
	width: auto;
	height: auto;
}

#cuadro #edit_producto .titulo_crear{
	padding: 9px 0px;
    font-size: 14px;
    font-weight: bold;
}

#cuadro #edit_producto .datos .menu_select{
	padding: 10px 0px;
}

#cuadro #edit_producto .check{
	font-size: 15px;
    padding: 6px;
}

#cuadro #edit_producto #imgtipo{
	width: 100%;
}

#cuadro #edit_producto #imgtipo img{
	width: 500px;
	height: auto;
}

#cuadro #form{
	padding: 10px;
	box-sizing: border-box;
}

.titulo_prod {
	background-color: #f7f7f7;
    width: 100%;
    padding: 12px;
    box-sizing: border-box;
    font-size: 17px;
    overflow: hidden;
}

.productos {
	box-sizing: border-box;
	overflow: hidden;
	border-radius: 5px;
	padding: 10px;
	border: 1px solid #e2e2e2;
	margin: 5px 5px 10px 5px;
	font-size: 13px;
}

.productos .codigo {
    float: left;
    width: 17%;
    text-align: center;
    font-size: 13px;
}


.productos .codigo > p:nth-child(1){
	margin-top: 10px;
}

.productos .nombre {
    float: left;
    width: 10%;
    text-align: center;
    font-size: 13px;
}

.productos .tiendas {
    float: left;
    width: 27%;
    text-align: center;
    font-size: 13px;
}

.productos .nombre a {
    text-decoration: none;
    color: #333;
}

.productos .imagen {
    float: left;
    width: 18%;
    text-align: center;
    font-size: 13px;
}

.productos .checkbx {
    float: left;
    width: 2%;
    text-align: center;
    font-size: 13px;
}

.productos .imagen img{
    width: auto;
}

.productos .precio {
    float: left;
    width: 6%;
    text-align: center;
    font-size: 13px;
}

.productos .precio p{
	padding: 0px 0px;
}

.productos .stock {
    float: left;
    width: 6%;
    text-align: center;
    font-size: 13px;
}

.productos .stock p{
	padding: 0px 0px;
}

.productos .estado {
    float: left;
    width: 15%;
    text-align: center;
    font-size: 13px;
}

.productos .boton {
    font-size: 11px;
    padding: 6px;
    background-color: #5a5a5a;
    border-radius: 3px;
    margin-right: 3px;
    margin-left: 3px;
    color: #fff;
    text-decoration: none;
}

.productos .editar {
    float: left;
    width: 8%;
    text-align: center;
    font-size: 13px;
}

.productos .eliminar {
    float: left;
    width: 10%;
    text-align: center;
    font-size: 13px;
}

.productos .titulo_tabla {
    text-align: center;
    text-transform: uppercase;
    color: #333;
    font-size: 12px;
    font-weight: bold;
}

.productos .titulo_tabla a {
    text-decoration: none;
    color: #333;
}


.titmob {
	display: none;
}

.azul {
    background-color: #3cbca7 !important;
    height: 34px;
}

tr.spaceUnder>td {
    padding-bottom: 16px;
}

@media screen and (max-width: 800px) {

    .detalle .data{
        display: block;
        margin: 5px;
    }
    
    .titmob {
        display: block;
        width: 100%;
        background-color: #eaeaea;
        padding: 5px;
        box-sizing: border-box;
        margin: 5px 0px 10px 0px;
        text-align: left;
        float: none;
        overflow: hidden;
    }
    
    .titulo {
        font-size: 20px;
        padding: 18px 0px 0px 26px;
    }
    
    .subtitulo {
        font-size: 14px;
    }
    
    .item {
        padding: 20px 0px 0px 5px;
        font-size: 11px;
    }
    
    .none {
        display: none;
    }    
    
    .mob {
        display: block;
    } 
    
    .mobile{
        display: none;
    }
    
    .celda {
        float: none;
    }
    
    .num {
        width: 10%;
        display: inline;
    }
    
    .tipo {
        width: 90%;
        display: inline;
    }
    
    .boton {
        font-size: 14px;
        padding: 7px;
    }
    
    .llena{
        width: 90%;
    }
    
    .productos .codigo {
        float: none;
        width: 100%;
    }
    
    .productos .nombre {
        float: none;
        width: 100%;
    }
    
    .productos .imagen {
        float: none;
        width: 100%;
    }
    
    .productos .precio {
        float: none;
        width: 100%;
    }
    
    .productos .stock {
        float: none;
        width: 100%;
    }
    
    .productos .estado {
        float: left;
        width: 40%;
    }
    
    .productos .editar {
        float: left;
        width: 30%;
    }
    
    .productos .eliminar {
        float: left;
        width: 30%;
    }
    
}